%% SL 6
f = fibonacci1(1000);
plot(f);
grid on;

%% SL 10
L = bandWheel(2, 2, 5);

%% SL 16
[out1, out2] = fibonacci2(1000, [1 1]);

%% SL 21
% solution on file localFunction

%% SL 27
A = @(p) [cos(p).^2, sin(p)+cos(p), 1*ones(size(p))];
p = linspace(0, 2*pi).';
plot(p, A(p));

%% SL 45
pos = binarySearch(1:3:70, 52);

%% SL 61

t = 0:0.001:1;
g = my_func(t);
plot(t, I)
myFunc_hndl = @my_func;
G = integral(myFunc_hndl, t(1), t(end))

%
clear; close all; clc;
t_min = 0; t_max = 1;
f = 50;
g_hndl = @(t) 10*cos(2*pi*f*t) + 5*cos(4*pi*f*t);
G = integral(g_hndl, t_min, t_max)


%% SL 67
xk1 = 5;
fcn = @(x) x^3 + x - 3;
err = 0.01;
K = 20;
[x0, k] = newton_method(xk1, fcn, err, K)

%% SL 69
[f1, f2, err] = exp_approx(1, 5);

%% SL 72
f = @(x) sqrt(2.^x + 1);
I = integral_approx(f, 0, 5, 10)
integral(f, 0, 5)
%% 
function g = my_func(t)
f = 50;
g = 10*cos(2*pi*f*t) + 5*cos(4*pi*f*t);
end